%global commit 2c565019c7dde1e9ad299c929b4394798bacac55
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global ell_version 0.2

Name:           iwd
Version:        0.0
Release:        0.20171022git%{shortcommit}%{?dist}
Summary:        Wireless daemon for Linux
Group:          System Environment/Base
License:        LGPLv2
URL:            https://01.org/iwd
Source0:        https://git.kernel.org/pub/scm/network/wireless/iwd.git/snapshot/%{name}-%{commit}.tar.gz
Source1:        https://www.kernel.org/pub/linux/libs/ell/ell-%{ell_version}.tar.xz

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  readline-devel
BuildRequires:  asciidoc
BuildRequires:  libtool autoconf automake

# Uses some private API atm., will be unbundled in future
Provides:       bundled(ell) = %{ell_version}


%description
The daemon and utilities for controlling and configuring the Wi-Fi network
hardware.


%prep
%setup -q -n %{name}-%{commit}
rm -rf ell
mkdir ell
tar xJf %{SOURCE1} --strip-components=1 ell-%{ell_version}/ell


%build
autoreconf -fi
%configure
%make_build


%install
%make_install
install tools/hwsim %{buildroot}%{_bindir}


%files
%{_sysconfdir}/dbus-1/system.d/iwd-dbus.conf
%{_sysconfdir}/iwd.conf
%{_bindir}/iwctl
%{_bindir}/iwd
%{_bindir}/iwmon
%{_bindir}/hwsim
%{_mandir}/man1/iwmon.1*


%changelog
* Sun Oct 22 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.20171022git2c56501
- Initial packaging
